| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs
OgreResourceBackgroundQueue.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreSingleton.h"`
`#include "OgreResource.h"`
`#include "OgreWorkQueue.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
struct | Ogre::BackgroundProcessResult
| Encapsulates the result of a background queue request. More...
class | Ogre::ResourceBackgroundQueue
| This class is used to perform Resource operations in a background thread. More...
class | Ogre::ResourceBackgroundQueue::Listener
| This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...

## Namespaces
| Ogre

## Typedefs
typedef WorkQueue::RequestID | Ogre::BackgroundProcessTicket
| Identifier of a background process. More...